Red Hat Network 4.1.0: Reference Guide
Prev |  | Next

# Appendix A. Command Line Config Management Tools

In addition to the options provided in the RHN website, Red Hat Network offers two command line tools for managing a system's configuration files: the Red Hat Network Configuration Client and the Red Hat Network Configuration Manager. There is a complementary Red Hat Network Actions Control tool that is used to enable and disable configuration management on client systems. If you do not yet have these these tools installed, they can be found within the RHN Tools child channel for your operating system.

| Tip
| Keep in mind, whenever a configuration file is deployed via RHN, a backup of the previous file including its full path is made in the `/var/lib/rhncfg/backups/` directory on the affected system. The backup retains its filename but has a `.rhn-cfg-backup` extension appended.

# A.1. Red Hat Network Actions Control

The Red Hat Network Actions Control (`rhn-actions-control`) application is used to enable and disable configuration management of a system. Client systems cannot be managed in this fashion by default. This tool allows Organization Administrators to enable or disable specific modes of allowable actions such as: deploying a configuration file onto the system, uploading a file from the system, diffing what is currently managed on a system and what is available, or allowing running arbitrary remote commands. These various modes are enabled/disabled by placing/removing files and directories in the `/etc/sysconfig/rhn/allowed-actions/` directory. Due to the default permissions on the `/etc/sysconfig/rhn/` directory, RHN Actions Control will most likely have to be run by someone with root access.

## A.1.1. General command line options

There is a `man` page available, as there are for most command line tools, though the use of this tool is simple enough to describe here briefly. Simply decide what RHN scheduled actions should be enabled for use by system administrators. The following options enable the various scheduled action modes:

Option | Description
--- | ---
--enable-deploy | Allow rhncfg-client to deploy files.
--enable-diff | Allow rhncfg-client to diff files.
--enable-upload | Allow rhncfg-client to upload files.
--enable-mtime-upload | Allow rhncfg-client to upload mtime.
--enable-all | Allow rhncfg-client to do everything.
--enable-run | Enable script.run
--disable-deploy | Disable deployment.
--disable-diff | Disable diff
--disable-upload | Disable upload
--disable-mtime-upload | Disable mtime upload
--disable-all | Disable all options
--disable-run | Disable script.run
--report | Report whether the modes are enabled or disabled
-f, --force | Force the operation without asking first
-h, --help | show help message and exit

Table A-1. `rhn-actions-control` options

Once a mode is set — and for many, `rhn-actions-control --all` is common — your system is now ready for config management through RHN.

Prev | Home | Next
Remote Commands |  | Red Hat Network Configuration Client